## org.cybergarage.http
Class HTTPHeader

    java.lang.Object
      org.cybergarage.http.HTTPHeader

    public class HTTPHeader

extends Object

Constructor Summary
`HTTPHeader(String lineStr)`
`HTTPHeader(String name, String value)`

Method Summary
`static int` `getIntegerValue(byte[] data, String name)`
`static int` `getIntegerValue(String data, String name)`
`String` `getName()`
`String` `getValue()`
`static String` `getValue(byte[] data, String name)`
`static String` `getValue(LineNumberReader reader, String name)`
`static String` `getValue(String data, String name)`
`boolean` `hasName()`
`void` `setName(String name)`
`void` `setValue(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPHeader

    public HTTPHeader(String name,
                      String value)

### HTTPHeader

    public HTTPHeader(String lineStr)

Method Detail

### setName

    public void setName(String name)

### setValue

    public void setValue(String value)

### getName

    public String getName()

### getValue

    public String getValue()

### hasName

    public boolean hasName()

### getValue

    public static final String getValue(LineNumberReader reader,
                                        String name)

### getValue

    public static final String getValue(String data,
                                        String name)

### getValue

    public static final String getValue(byte[] data,
                                        String name)

### getIntegerValue

    public static final int getIntegerValue(String data,
                                            String name)

### getIntegerValue

    public static final int getIntegerValue(byte[] data,
                                            String name)